Get All Files Uploaded in a Specified Time Frame

You can get a summary of data files processed by the Accounting Hub flow within a particular timeframe, use this GET REST operation. The response includes details such as transaction data file name, uploaded by and upload time, number of transaction header and line records in each file.

Example URL

Here's an example of the resource URL to display data from Invoice Holds REST API:

GET

/api/erp/integrations/resources/v1/{locale}/files

cURL Command

curl --location 'https://servername.fa.us2.oraclecloud.com/api/erp/integrations/resources/v1/en-us/files?flowName=fah-import&time=2' \
--header 'Authorization: Bearer <Bearer Token>

Example Response

Here's an example of the response body in JSON format:



{   
    "flowName":"fah-import",
    "totalReceivedFileCount":1,
    "fileDetails":[
        {
            "fileName": "XlaTrx10.zip",
            "fileId": "98715717449060352",
            "SubLedgerName":"LOAN",
            "uploadedBy": "Finuser1",
            "uploadedTime:"2021-12-04T07:53:21.499111Z",   
            "totalHeaderCount":100,
            "errorHeaderCount":40,
            "totalLineCount":100,
            "errorLineCount":40,
            "status": "In Progress/Accounted/Exceptions/Failed"
        }
    ] 
    "uploadedFrom": "2021-12-03T07:53:21.499111Z"
    "uploadedTo": "2021-12-04T07:53:21.499111Z" 

}